Skip to main content

Get wallet information

GET https://wallet.paysera.com/rest/v1/wallet/{walletId}

Retrieve information about a specific wallet.

Example queries:

  • By wallet ID: GET /wallet/14471
  • By current user: GET /wallet/me

Contains Optional Scopes​

Providing these scopes will return more information

ScopeDescription
SCOPE_WALLET_LISTGrants aditional information on the wallet, such as description and IBAN

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
walletIdstring✓Wallet identifier (integer or 'me' for current user)

Examples​

Request​

GET https://wallet.paysera.com/rest/v1/wallet/14471
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response (Default)​

{
"id": 14471,
"owner": 221,
"account": {
"number": "EVP0010001000101",
"user_id": 123123,
"owner_type": "natural",
}
}

Response (With SCOPE_WALLET_LIST)​

{
"id": 14471,
"owner": 221,
"account": {
"number": "EVP0010001000101",
"user_id": 123,
"owner_type": "natural",
"owner_title": "John Doe",
"owner_display_name": "John D.",
"description": "My personal account",
"type": "local",
"ibans": [
"LT007300010022221111"
],
"flags:": {
"savings": false,
"public": false
},
"status": "active"
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com

RESPONSE

Wallet information retrieved successfully
{
"id": 14471,
"owner": 221,
"account": {
"number": "EVP0010001000101",
"user_id": 123,
"owner_type": "natural",
"owner_title": "John Doe",
"owner_display_name": "John D.",
"description": "My personal account",
"type": "local",
"ibans": [
"LT007300010022221111"
],
"flags": {
"savings": false,
"public": false
},
"status": "active"
}
}